%define _unpackaged_files_terminate_build 0
%define with_optimization 	0
%define with_debug 		0
%define with_xinerama 		1
%define with_ogg 		1
%define with_xvid 		1
%define with_ffmpeg 		1
%define with_lame 		1
%define with_dvb 		1
%define with_zvbi 		1
%define with_lirc 		1
%define with_alsa 		1
%define with_png 		1
%define with_jpeg 		1

#without
%{?_without_optimization: 	%{expand: %%global with_optimization 0}}
%{?_without_debug: 		%{expand: %%global with_debug 0}}
%{?_without_xinerama: 		%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 		%{expand: %%global with_ogg 0}}
%{?_without_xvid: 		%{expand: %%global with_xvid 0}}
%{?_without_ffmpeg: 		%{expand: %%global with_ffmpeg 0}}
%{?_without_lame: 		%{expand: %%global with_lame 0}}
%{?_without_dvb: 		%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 		%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 		%{expand: %%global with_lirc 0}}
%{?_without_alsa: 		%{expand: %%global with_alsa 0}}
%{?_without_png: 		%{expand: %%global with_png 0}}
%{?_without_jpeg: 		%{expand: %%global with_jpeg 0}}

#with
%{?_with_optimization: 		%{expand: %%global with_optimization 1}}
%{?_with_debug: 		%{expand: %%global with_debug 1}}
%{?_with_xinerama: 		%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 			%{expand: %%global with_ogg 1}}
%{?_with_xvid: 			%{expand: %%global with_xvid 1}}
%{?_with_ffmpeg: 		%{expand: %%global with_ffmpeg 1}}
%{?_with_lame: 			%{expand: %%global with_lame 1}}
%{?_with_dvb: 			%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 			%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 			%{expand: %%global with_lirc 1}}
%{?_with_alsa: 			%{expand: %%global with_alsa 1}}
%{?_with_png: 			%{expand: %%global with_png 1}}
%{?_with_jpeg: 			%{expand: %%global with_jpeg 1}}

Name:           xdtv
Version:        2.3.0
Release:        1.fc4
Epoch:		0
Summary:        Video4Linux Stream Capture Viewer & Recorder

Group:          Applications/Multimedia
License:        GPL
Distribution:   Fedora Core
Packager:       Pingus <pingus_77@yahoo.fr>
URL:            http://xawdecode.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/xawdecode/xdtv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: 	xawdecode

BuildRequires:  xorg-x11-devel
%if %with_xvid
BuildRequires:  xvidcore-devel
%endif
%if %with_ffmpeg
BuildRequires:  ffmpeg-devel
%endif
%if %with_lame
BuildRequires:  lame-devel
%endif
%if %with_zvbi
BuildRequires:  zvbi-devel
%endif
%if %with_lirc
BuildRequires:  lirc-devel
%endif
%if %with_jpeg
BuildRequires:  libjpeg-devel
%endif
%if %with_png
BuildRequires:  libpng-devel
%endif
%if %with_ogg
BuildRequires:  libtheora-devel >= 1.0alpha5
BuildRequires:  libvorbis-devel >= 1.1.0
BuildRequires:  libogg-devel >= 1.1.2
%endif
%if %with_alsa
BuildRequires:  alsa-lib-devel
%endif
BuildRequires:  neXtaw-devel
BuildRequires:  gcc-c++

Requires:       xorg-x11-libs
%if %with_xvid
Requires:       xvidcore
%endif
%if %with_ffmpeg
Requires:       ffmpeg
%endif
%if %with_lame
Requires:       lame
%endif
%if %with_zvbi
Requires:       zvbi
%endif
%if %with_lirc
Requires:       lirc
%endif
%if %with_jpeg
Requires:       libjpeg
%endif
%if %with_png
Requires:       libpng
%endif
%if %with_ogg
Requires:       libtheora >= 1.0alpha5
Requires:       libvorbis >= 1.1.0
Requires:       libogg >= 1.1.2
%endif
%if %with_alsa
Requires:       alsa-lib
Requires:       alsa-utils
%endif
Requires:       xterm
Requires:       neXtaw

%description
XdTV is a software that allows you to to record & watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.) 
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
It has also some plugin capabilities.

%package        devel
Summary:        Developpement files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes: 	xawdecode-devel

%description    devel
Developpement files for %{name}

%package        OSD-font
Summary:        Font used by %{name} OSD function
Group:          User Interface/X
Obsoletes: 	xawdecode-OSD-font

%description    OSD-font
Font used by %{name} OSD function.

# -----------------------------------------------------------------------------

%prep
%setup -q

%{__cat} <<EOF >xdtv.desktop
[Desktop Entry]
Name=XdTV
Comment=Video4Linux Stream Capture Viewer & Recorder
Exec=xdtv
Icon=xdtv.png
Terminal=false
Type=Application
Categories=AudioVideo;Application;
EOF

%{__cat} <<EOF >xdtv_wizard.desktop
[Desktop Entry]
Name=XdTV Wizard
Comment=XdTV Wizard
Exec=xdtv_wizard
Icon=xdtv.png
Terminal=false
Type=Application
Categories=AudioVideo;Application;
EOF

# -----------------------------------------------------------------------------

%build
./configure --disable-divx4linux \
%if %with_optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif

make prefix=%{_prefix}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
make prefix=%{_prefix} DESTDIR="$RPM_BUILD_ROOT" install

install -D -m 644 man/xdtv.1 %{buildroot}%{_mandir}/man1/xdtv.1
install -D -m 644 man/xdtv_cmd.1 %{buildroot}%{_mandir}/man1/xdtv_cmd.1
install -D -m 644 man/xdtv_alevt.1 %{buildroot}%{_mandir}/man1/xdtv_alevt.1
install -D -m 644 man/xdtv_alevt-cap.1 %{buildroot}%{_mandir}/man1/xdtv_alevt-cap.1
install -D -m 644 xdtv-48.png %{buildroot}%{_datadir}/pixmaps/xdtv.png
install -D -m 644 xdtv.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Multimedia/xdtv.desktop
install -D -m 644 xdtv_wizard.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Multimedia/xdtv_wizard.desktop

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi

%postun
/sbin/ldconfig

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO
%doc README README.dvb README.record README.bs README.ffmpeg README.streaming
%doc README.bsd README.gentoo README.xvid README.buildme README.lirc
%doc README.deinterlace README.plugins ChangeLog lisez-moi xdtvrc.sample
%doc lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
%doc lircrc.WinfastTV2000.sample
%{_bindir}/*
%{_mandir}/man1/*
%{_sysconfdir}/xdtv/xdtv_wizard-en.conf
%{_sysconfdir}/xdtv/xdtv_wizard-en-UTF8.conf
/usr/X11R6/lib/X11/app-defaults/XdTV
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome/apps/Multimedia/xdtv.desktop
%{_datadir}/gnome/apps/Multimedia/xdtv_wizard.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*

%files OSD-font
%defattr(-,root,root,-)
/usr/X11R6/lib/X11/fonts/misc/*.pcf

# -----------------------------------------------------------------------------

%changelog
* Fri Dec 23 2005 Sir Pingus <pingus_77@yahoo.fr> - 2.3.0-1
- 2.3.0
- Compiled with --disable-divx4linux & neXtaw
- Spec file updated

* Sun Jul 03 2005 Sir Pingus <pingus_77@yahoo.fr> - 2.2.0-2
- add the xdtv_wizard menu entry

* Fri Jul 01 2005 Sir Pingus <pingus_77@yahoo.fr> - 2.2.0-1
- Upgrade to 2.2.0
- Compiled with --disable-divx4linux
- Spec file cleanup 

* Sun Apr 03 2005 Emmanuel Seyman <seyman@wanadoo.fr> - 2.1.1-1
- Upgrade to 2.1.1

* Sun Jan 02 2005 Emmanuel Seyman <seyman@wanadoo.fr> - 2.0.1-1
- Upgrade to 2.0.1
- Obsolete xawdecode
- Clean up installation instructions

* Fri Nov 28 2003 Emmanuel Seyman <seyman@wanadoo.fr> - 1.8.2-1
- Upgrade to 1.8.2

* Sat Oct 04 2003 Emmanuel Seyman <seyman@wanadoo.fr> - 1.8.1-1
- Upgrade to 1.8.1

* Tue Sep 02 2003 Emmanuel Seyman <seyman@wanadoo.fr> - 1.8.0-1
- Initial RPM release.
