##############################################################################
# $Id: xdtv.spec.in,v 1.26 2006/01/27 20:38:14 pingus77 Exp $
##############################################################################
# Minimum required is: X11 & XPM & Xaw from X.org + Xterm
#
# Optional:
# To have a better GUI:
# neXtaw (0.15.1) from http://siag.nu/neXtaw/
# or XawM from http://sourceforge.net/projects/xawm/
# or Xaw95 & Xaw3d (not advised)
#
# To Record with a lot of audio/video codecs:
# FFMpeg (50.0.0+) from http://ffmpeg.sourceforge.net/ read README.ffmpeg for more infos
# Lame (3.96+)from http://lame.sourceforge.net/
# XviD (1.x+) from http://www.xvid.org/
# DivX (5.0.1alpha only) from http://www.divx.com/divx/linux/
# Ogg (1.1.2+) & Theora (1.0alpha5) & Vorbis (1.1.0+) from http://www.xiph.org/
#
# Other options:
# Zvbi (0.2.15+) from http://zapping.sourceforge.net/ (Scanning channels and get their names
# Alsa (1.x) from http://www.alsa-project.org/ (Better sound architecture than OSS)
# Lirc (0.7.x+) from http://www.lirc.org/ (If you have a remote and want to use it)
# libpng & libjpeg (For capturing AleVT & XdTV snapshots)
##############################################################################

%define _unpackaged_files_terminate_build 0

%define name 			xdtv
%define Name 			XdTV
%define version 		2.3.0
%define release 		1
%define summary1		%{Name} is a software to record & watch TV.
%define summary2		Developpement files for %{Name}.
%define summary3		Font used by %{Name} OSD function.
%define with_optimization 	0
%define with_debug 		0
%define with_nextaw 		1
%define with_xawm 		1
%define with_xaw95 		1
%define with_xaw3d 		1
%define with_xinerama 		1
%define with_ogg 		1
%define with_xvid 		1
%define with_ffmpeg 		1
%define with_divx 		1
%define with_lame 		1
%define with_dvb 		1
%define with_zvbi 		1
%define with_lirc 		1
%define with_alsa 		1
%define with_png 		1
%define with_jpeg 		1

#without
%{?_without_optimization: 	%{expand: %%global with_optimization 0}}
%{?_without_debug: 		%{expand: %%global with_debug 0}}
%{?_without_xinerama: 		%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 		%{expand: %%global with_ogg 0}}
%{?_without_xvid: 		%{expand: %%global with_xvid 0}}
%{?_without_ffmpeg: 		%{expand: %%global with_ffmpeg 0}}
%{?_without_divx: 		%{expand: %%global with_divx 0}}
%{?_without_lame: 		%{expand: %%global with_lame 0}}
%{?_without_dvb: 		%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 		%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 		%{expand: %%global with_lirc 0}}
%{?_without_alsa: 		%{expand: %%global with_alsa 0}}
%{?_without_png: 		%{expand: %%global with_png 0}}
%{?_without_jpeg: 		%{expand: %%global with_jpeg 0}}
%{?_without_nextaw: 		%{expand: %%global with_nextaw 0}}
%{?_without_xawm: 		%{expand: %%global with_xawm 0}}
%{?_without_xaw95: 		%{expand: %%global with_xaw95 0}}
%{?_without_xaw3d: 		%{expand: %%global with_xaw3d 0}}

#with
%{?_with_optimization: 		%{expand: %%global with_optimization 1}}
%{?_with_debug: 		%{expand: %%global with_debug 1}}
%{?_with_xinerama: 		%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 			%{expand: %%global with_ogg 1}}
%{?_with_xvid: 			%{expand: %%global with_xvid 1}}
%{?_with_ffmpeg: 		%{expand: %%global with_ffmpeg 1}}
%{?_with_divx: 			%{expand: %%global with_divx 1}}
%{?_with_lame: 			%{expand: %%global with_lame 1}}
%{?_with_dvb: 			%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 			%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 			%{expand: %%global with_lirc 1}}
%{?_with_alsa: 			%{expand: %%global with_alsa 1}}
%{?_with_png: 			%{expand: %%global with_png 1}}
%{?_with_jpeg: 			%{expand: %%global with_jpeg 1}}
%{?_with_nextaw: 		%{expand: %%global with_nextaw 1}}
%{?_with_xawm: 			%{expand: %%global with_xawm 1}}
%{?_with_xaw95: 		%{expand: %%global with_xaw95 1}}
%{?_with_xaw3d: 		%{expand: %%global with_xaw3d 1}}

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
License: 			GPL
Distribution: 			ALL RPM Based Linux Distributions
Packager: 			Pingus <pingus_77@yahoo.fr>
URL:				http://xawdecode.sourceforge.net/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software that allows you to to record & watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.) 
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
It has also some plugin capabilities.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name} 

%package OSD-font
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}

%description OSD-font
Font used by %{Name} OSD function.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
./configure --prefix=%{_prefix} \
%if %with_optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_divx
	--enable-divx4linux \
%else
	--disable-divx4linux \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif
%if %with_nextaw
	--enable-nextaw \
%else
	--disable-nextaw \
%endif
%if %with_xawm
	--enable-xawm \
%else
	--disable-xawm \
%endif
%if %with_xaw95
	--enable-xaw95 \
%else
	--disable-xaw95 \
%endif
%if %with_xaw3d
	--enable-xaw3d \
%else
	--disable-xaw3d \
%endif

make prefix=%{_prefix}

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-cap
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-capall
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-date

# Cure man path if needed
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_cmd.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt-cap.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt-date.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt.1 %{buildroot}%{_mandir}/man1/
bzip2 %{buildroot}%{_mandir}/man1/%{name}.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_cmd.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt-cap.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt-date.1

# Cure XdTV.ad file path
install -d -m 755 %{buildroot}/usr/X11R6/lib/X11/app-defaults/
install -m 644 XdTV.ad %{buildroot}/usr/X11R6/lib/X11/app-defaults/XdTV

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO
%doc README README.dvb README.record README.bs README.ffmpeg README.streaming
%doc README.bsd README.gentoo README.xvid README.buildme README.lirc
%doc README.deinterlace README.plugins ChangeLog lisez-moi xdtvrc.sample
%doc lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
%doc lircrc.WinfastTV2000.sample
/usr/X11R6/lib/X11/app-defaults/XdTV
%{_sysconfdir}/xdtv/%{name}_wizard-en.conf
%{_sysconfdir}/xdtv/%{name}_wizard-en-UTF8.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_cmd
%{_bindir}/%{name}_wizard
%{_bindir}/%{name}_scantv
%{_bindir}/%{name}_alevt-cap
%{_bindir}/%{name}_alevt-capall
%{_bindir}/%{name}_alevt-date
%{_bindir}/%{name}_v4l-conf
%{_bindir}/%{name}_scan.sh
%{_bindir}/%{name}_record.sh
%{_bindir}/%{name}_makedvd.sh
%{_mandir}/man1/*
%{_datadir}/%{name}/icons/*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files OSD-font
%defattr(-,root,root)
%{_prefix}/X11R6/lib/X11/fonts/misc/*.pcf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- review all the spec: now -with / without can be use with rpmbuild
